org.freeplane.plugin.script.proxy

## Interface Proxy.Connector

- All Superinterfaces:
    Proxy.ConnectorRO
  Enclosing interface:
    Proxy

      public static interface Proxy.Connector
      extends Proxy.ConnectorRO

  Graphical connector between nodes:`node.connectorsIn` / `node.connectorsOut` - read-write.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setColor(java.awt.Color color)`
    `void` | `setColorCode(java.lang.String rgbString)`
    `void` | `setEndArrow(org.freeplane.features.link.ArrowType arrowType)` Deprecated. since 1.2 - use `setEndArrow(boolean)` instead
    `void` | `setEndArrow(boolean showArrow)`
    `void` | `setInclination(java.util.List<java.lang.Integer> startPoint, java.util.List<java.lang.Integer> endPoint)` startPoint, endPoint: list of two integers representing a Point.
    `void` | `setMiddleLabel(java.lang.String label)`
    `void` | `setShape(java.lang.String shape)`
    `void` | `setSimulatesEdge(boolean simulatesEdge)`
    `void` | `setSourceLabel(java.lang.String label)`
    `void` | `setStartArrow(org.freeplane.features.link.ArrowType arrowType)` Deprecated. since 1.2 - use `setStartArrow(boolean)` instead
    `void` | `setStartArrow(boolean showArrow)`
    `void` | `setTargetLabel(java.lang.String label)`

    - ### Methods inherited from interface org.freeplane.plugin.script.proxy.Proxy.ConnectorRO

      `getColor, getColorCode, getEndArrow, getEndInclination, getMiddleLabel, getShape, getSource, getSourceLabel, getStartArrow, getStartInclination, getTarget, getTargetLabel, hasEndArrow, hasStartArrow, simulatesEdge`

- - ### Method Detail

    - #### setShape

          void setShape(java.lang.String shape)

      Parameters:
        `shape` - one of LINE, LINEAR_PATH, CUBIC_CURVE, EDGE_LIKE.
      Since:
        1.3

    - #### setColor

          void setColor(java.awt.Color color)

    - #### setColorCode

          void setColorCode(java.lang.String rgbString)

      Parameters:
        `rgbString` - a HTML color spec like #ff0000 (red) or #222222 (darkgray).
      Since:
        1.2

    - #### setEndArrow

          void setEndArrow(boolean showArrow)

      Since:
        1.2

    - #### setEndArrow

          void setEndArrow(org.freeplane.features.link.ArrowType arrowType)

      Deprecated. since 1.2 - use `setEndArrow(boolean)` instead

    - #### setMiddleLabel

          void setMiddleLabel(java.lang.String label)

    - #### setSimulatesEdge

          void setSimulatesEdge(boolean simulatesEdge)

    - #### setSourceLabel

          void setSourceLabel(java.lang.String label)

    - #### setStartArrow

          void setStartArrow(boolean showArrow)

      Since:
        1.2

    - #### setStartArrow

          void setStartArrow(org.freeplane.features.link.ArrowType arrowType)

      Deprecated. since 1.2 - use `setStartArrow(boolean)` instead

    - #### setTargetLabel

          void setTargetLabel(java.lang.String label)

    - #### setInclination

          void setInclination(java.util.List<java.lang.Integer> startPoint,
                              java.util.List<java.lang.Integer> endPoint)

      startPoint, endPoint: list of two integers representing a Point.
      Since:
        1.3.3